> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datalinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Infer dataset description

> Ask an agent to infer a data description based on sampled data.



## OpenAPI

````yaml /api-reference/openapi.yml post /infer/description
openapi: 3.0.3
info:
  title: DataLinks
  version: 2.2.3
servers:
  - url: https://api.datalinks.com/api/v1
    description: production server
security:
  - bearerAuth: []
  - openId:
      - implicit
paths:
  /infer/description:
    post:
      tags:
        - ingest
      summary: Infer dataset description
      description: Ask an agent to infer a data description based on sampled data.
      operationId: inferDescription
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InferSchemaDescriptionRequest'
        required: true
      responses:
        '200':
          description: Returns an inferred description.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InferredDescriptionResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    InferSchemaDescriptionRequest:
      required:
        - sample
      type: object
      properties:
        sample:
          $ref: '#/components/schemas/DataArray'
        model:
          type: string
          description: The inference model to use.
        provider:
          type: string
          description: Provider offering the model.
        currentValue:
          type: object
          properties:
            description:
              type: string
              description: The current data description.
            schema:
              type: object
              additionalProperties:
                type: string
    InferredDescriptionResponse:
      required:
        - description
      type: object
      properties:
        description:
          type: string
          description: The inferred description text.
      description: Wrapper object containing the inferred description.
    DataArray:
      type: array
      description: Array of ontology data objects retrieved from queries.
      items:
        type: object
        additionalProperties: true
    ErrorResponse:
      required:
        - error_code
        - message
      type: object
      properties:
        error_code:
          type: string
          example: UNAUTHORIZED
        error_message:
          type: string
          example: ''
        message:
          type: string
          example: Missing authentication token
        sub_errors:
          type: array
          items:
            required:
              - code
              - message
            type: object
            properties:
              code:
                type: string
              message:
                type: string
  responses:
    Unauthorized:
      description: >-
        Unauthorized. This error occurs if the authentication token is missing
        or invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      description: >
        Use a Bearer token for authentication. Submit the token using the
        `Authorization`

        header: `Authorization: Bearer <token>`.
      scheme: bearer
    openId:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://login.datalinks.com/realms/datalinks-realm/protocol/openid-connect/auth
          scopes:
            openid: openid

````